## ros-noetic-message-filters 1.17.1

=== debian/changelog ===
ros-noetic-message-filters (1.17.1-1focal) focal; urgency=high



 -- Michael Carroll <michael@openrobotics.org>  Sat, 26 Apr 2025 00:00:00 -0000

ros-noetic-message-filters (1.17.0-1focal) focal; urgency=high

  * Enable building with boost 1.73 (#2348 <https://github.com/ros/ros_comm/issues/2348>)
  * Contributors: Robert Haschke

 -- Michael Carroll <michael@openrobotics.org>  Fri, 13 Sep 2024 00:00:00 -0000

ros-noetic-message-filters (1.16.0-1focal) focal; urgency=high



 -- Michael Carroll <michael@openrobotics.org>  Wed, 15 Feb 2023 00:00:00 -0000

ros-noetic-message-filters (1.15.15-1focal) focal; urgency=high

  * Move @jacobperron from maintainer to author (#2302 <https://github.com/ros/ros_comm/issues/2302>)
  * Correct missed boost placeholders (#2242 <https://github.com/ros/ros_comm/issues/2242>)
  * Contributors: Lucas Walter, Shane Loretz

 -- Michael Carroll <michael@openrobotics.org>  Wed, 23 Nov 2022 00:00:00 -0000

ros-noetic-message-filters (1.15.14-1focal) focal; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Thu, 06 Jan 2022 00:00:00 -0000

ros-noetic-message-filters (1.15.13-1focal) focal; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Wed, 22 Sep 2021 00:00:00 -0000

ros-noetic-message-filters (1.15.12-1focal) focal; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Tue, 21 Sep 2021 00:00:00 -0000

ros-noetic-message-filters (1.15.11-1focal) focal; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Tue, 06 Apr 2021 00:00:00 -0000

ros-noetic-message-filters (1.15.10-1focal) focal; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Thu, 18 Mar 2021 00:00:00 -0000

ros-noetic-message-filters (1.15.9-1focal) focal; urgency=high

  * Update maintainers (#2075 <https://github.com/ros/ros_comm/issues/2075>)
  * Fix compatibility issue with boost 1.73 and above (#2023 <https://github.com/ros/ros_comm/issues/2023>)
  * Contributors: Sean Yen, Shane Loretz

 -- Jacob Perron <jacob@openrobotics.org>  Fri, 16 Oct 2020 00:00:00 -0000

ros-noetic-message-filters (1.15.8-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 23 Jul 2020 00:00:00 -0000

ros-noetic-message-filters (1.15.7-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 28 May 2020 00:00:00 -0000

ros-noetic-message-filters (1.15.6-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 21 May 2020 00:00:00 -0000

ros-noetic-message-filters (1.15.5-1focal) focal; urgency=high

  * clear message queue on simtime jumping back (#1518 <https://github.com/ros/ros_comm/issues/1518>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 15 May 2020 00:00:00 -0000

ros-noetic-message-filters (1.15.4-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 19 Mar 2020 00:00:00 -0000

ros-noetic-message-filters (1.15.3-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 28 Feb 2020 00:00:00 -0000

ros-noetic-message-filters (1.15.2-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 25 Feb 2020 00:00:00 -0000

ros-noetic-message-filters (1.15.1-1focal) focal; urgency=high

  * fix missing boost dependencies (#1895 <https://github.com/ros/ros_comm/issues/1895>)
  * use setuptools instead of distutils (#1870 <https://github.com/ros/ros_comm/issues/1870>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 24 Feb 2020 00:00:00 -0000

ros-noetic-message-filters (1.15.0-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 21 Feb 2020 00:00:00 -0000

ros-noetic-message-filters (1.14.4-1focal) focal; urgency=high

  * bump CMake minimum version to avoid CMP0048 warning (#1869 <https://github.com/ros/ros_comm/issues/1869>)
  * add overload of ApproximateTime::setInterMessageLowerBound() to set all topics to the same value (#1860 <https://github.com/ros/ros_comm/issues/1860>)
  * update approximate time filter to work with Python 2 and 3 (#1660 <https://github.com/ros/ros_comm/issues/1660>)
  * message_filters/__init__.py - Added reduce import for Python 3 compatability (#1633 <https://github.com/ros/ros_comm/issues/1633>)
  * remove messages that are newer than the newly added message (#1438 <https://github.com/ros/ros_comm/issues/1438>)
  * remove signals from find_package(Boost COMPONENTS ...) (#1580 <https://github.com/ros/ros_comm/issues/1580>)
  * fix message_filters build issue on the template syntax (#1483 <https://github.com/ros/ros_comm/issues/1483>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 20 Feb 2020 00:00:00 -0000

ros-noetic-message-filters (1.14.3-1focal) focal; urgency=high

  * call Subscriber::unsubscribe() in destructor (#1434 <https://github.com/ros/ros_comm/issues/1434>)
  * rename Python message_filters.Cache.getLastestTime to getLatestTime (#1450 <https://github.com/ros/ros_comm/issues/1450>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 06 Aug 2018 00:00:00 -0000

ros-noetic-message-filters (1.14.2-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 06 Jun 2018 00:00:00 -0000

ros-noetic-message-filters (1.14.1-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 21 May 2018 00:00:00 -0000

ros-noetic-message-filters (1.14.0-1focal) focal; urgency=high

  * change invocation to add to conform template syntax (#1388 <https://github.com/ros/ros_comm/issues/1388>)
  * fix sphinx warning (#1371 <https://github.com/ros/ros_comm/issues/1371>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 21 May 2018 00:00:00 -0000

ros-noetic-message-filters (1.13.6-1focal) focal; urgency=high

  * use SteadyTimer in message_filters (#1247 <https://github.com/ros/ros_comm/issues/1247>)
  * remove unnecessary xmlrpcpp dependency from message_filters (#1264 <https://github.com/ros/ros_comm/issues/1264>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 05 Feb 2018 00:00:00 -0000


